> ## Documentation Index
> Fetch the complete documentation index at: https://docs.luly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Campaign Details

> Returns specific campaign with all associated calls within campaign.

### Headers

<ParamField header="authorization" type="string" required={true}>
  Your API key for authentication.
</ParamField>

### Path Parameters

<ParamField path="id" type="string" required={true}>
  The unique identifier of the campaign for which you want to retrieve detailed information.
</ParamField>

### Response

<ResponseField name="count" type="integer">
  The number of campaigns returned in the response.
</ResponseField>

<ResponseField name="campaigns" type="array">
  An array of campaign data objects. See the [Campaign](https://docs.luly.ai/api-v1/get/campaigns-id) section for details.
</ResponseField>

<ResponseExample>
  ```json Response
    {
      "status": "success",
      "count": 784,
      "campaigns": [
        {
          "id": "8ba8f14f-b8ad-aaaa-bbbb-f8860dfb03d7",
          "campaign_name": "EXAMPLE",
          "created_at": "2024-07-23T16:47:30.622391+00:00",
          "request_data": {
            "language": "en-US",
            "model": "enhanced",
            "webhook": "",
            "wait_for_greeting": true,
            "record": true,
            "interruption_threshold": "80",
            "temperature": "0.3",
            "voice": "June",
            "max_duration": "30",
            "request_data": {},
            "sms": null,
            "analysis_schema": []
          },
          "sequences": [
            {
              "seqId": "seq_2523f92lbdf",
              "step": 0,
              "type": "send_call",
              "task": "",
              "start_time": null,
              "pathway": [
                {
                  "value": "3e5ce584-50d8-aaaa-bbbb-d6b05f4b1db5",
                  "label": "Example"
                }
              ]
            }
          ],
          "campaign_config": {
            "stop_when_answer": true,
            "auto_mark_complete": true
          },
          "campaign_state": "active",
          "phone_number": "+11233214444",
          "curr_seq": "seq_2523f92ldfkdjf",
          "campaign_id": "01e4b3ce-e216-aaaa-bbbb-9ac5ac3b87d0"
        },
        //... Additional campaign objects
      ]
    }

  ```
</ResponseExample>
